Get employee info
curl -X GET "http://amarhr.api/v1/employees/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "http://amarhr.api/v1/employees/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("http://amarhr.api/v1/employees/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "http://amarhr.api/v1/employees/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('http://amarhr.api/v1/employees/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
"null"
]
"null"
GET
/employees/{employeeId}GET
path
employeeIdstring
RequiredThe id of the employee to retrieve
Request Preview
Response
Response will appear here after sending the request
Path Parameters
employeeIdstring
RequiredThe id of the employee to retrieve
Responses
Expected response to a valid request
unexpected error
Was this page helpful?
Last updated today
Built with Documentation.AI